.wpcf7-not-valid-tip {
    font-size: 14px;
    text-align: left;
    margin-top: 4px;
    color: #FF3E3E;
}

.wpcf7-not-valid-tip::before {
    content: "";
    display: inline-block;
    width: 9px;
    height: 11px;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTAiIGhlaWdodD0iMTIiIHZpZXdCb3g9IjAgMCAxMCAxMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTguOTM3NSAwLjMxMjVIMS4wNjI1QzAuODMwNDM2IDAuMzEyNSAwLjYwNzg3NiAwLjQwNDY4NyAwLjQ0Mzc4MiAwLjU2ODc4MkMwLjI3OTY4NyAwLjczMjg3NiAwLjE4NzUgMC45NTU0MzYgMC4xODc1IDEuMTg3NVYxMC44MTI1QzAuMTg3NSAxMS4wNDQ2IDAuMjc5Njg3IDExLjI2NzEgMC40NDM3ODIgMTEuNDMxMkMwLjYwNzg3NiAxMS41OTUzIDAuODMwNDM2IDExLjY4NzUgMS4wNjI1IDExLjY4NzVIOC45Mzc1QzkuMTY5NTYgMTEuNjg3NSA5LjM5MjEyIDExLjU5NTMgOS41NTYyMiAxMS40MzEyQzkuNzIwMzEgMTEuMjY3MSA5LjgxMjUgMTEuMDQ0NiA5LjgxMjUgMTAuODEyNVYxLjE4NzVDOS44MTI1IDAuOTU1NDM2IDkuNzIwMzEgMC43MzI4NzYgOS41NTYyMiAwLjU2ODc4MkM5LjM5MjEyIDAuNDA0Njg3IDkuMTY5NTYgMC4zMTI1IDguOTM3NSAwLjMxMjVaTTUgNy43NUM1LjEyOTc5IDcuNzUgNS4yNTY2NyA3Ljc4ODQ5IDUuMzY0NTkgNy44NjA2QzUuNDcyNTEgNy45MzI3MSA1LjU1NjYzIDguMDM1MiA1LjYwNjMgOC4xNTUxMUM1LjY1NTk3IDguMjc1MDMgNS42Njg5NiA4LjQwNjk4IDUuNjQzNjQgOC41MzQyOEM1LjYxODMyIDguNjYxNTggNS41NTU4MiA4Ljc3ODUxIDUuNDY0MDQgOC44NzAyOUM1LjM3MjI2IDguOTYyMDcgNS4yNTUzMyA5LjAyNDU3IDUuMTI4MDMgOS4wNDk4OUM1LjAwMDczIDkuMDc1MjEgNC44Njg3OCA5LjA2MjIyIDQuNzQ4ODYgOS4wMTI1NUM0LjYyODk1IDguOTYyODggNC41MjY0NiA4Ljg3ODc2IDQuNDU0MzUgOC43NzA4NEM0LjM4MjI0IDguNjYyOTIgNC4zNDM3NSA4LjUzNjA0IDQuMzQzNzUgOC40MDYyNUM0LjM0Mzc1IDguMjMyMiA0LjQxMjg5IDguMDY1MjggNC41MzU5NiA3Ljk0MjIxQzQuNjU5MDMgNy44MTkxNCA0LjgyNTk1IDcuNzUgNSA3Ljc1Wk00LjU2MjUgNi40Mzc1VjMuMzc1QzQuNTYyNSAzLjI1ODk3IDQuNjA4NTkgMy4xNDc2OSA0LjY5MDY0IDMuMDY1NjRDNC43NzI2OSAyLjk4MzU5IDQuODgzOTcgMi45Mzc1IDUgMi45Mzc1QzUuMTE2MDMgMi45Mzc1IDUuMjI3MzEgMi45ODM1OSA1LjMwOTM2IDMuMDY1NjRDNS4zOTE0MSAzLjE0NzY5IDUuNDM3NSAzLjI1ODk3IDUuNDM3NSAzLjM3NVY2LjQzNzVDNS40Mzc1IDYuNTUzNTMgNS4zOTE0MSA2LjY2NDgxIDUuMzA5MzYgNi43NDY4NkM1LjIyNzMxIDYuODI4OTEgNS4xMTYwMyA2Ljg3NSA1IDYuODc1QzQuODgzOTcgNi44NzUgNC43NzI2OSA2LjgyODkxIDQuNjkwNjQgNi43NDY4NkM0LjYwODU5IDYuNjY0ODEgNC41NjI1IDYuNTUzNTMgNC41NjI1IDYuNDM3NVoiIGZpbGw9IiNGRjNFM0UiLz4KPC9zdmc+Cg==");
    flex-shrink: 0;
    margin-right: 6px;
}

.form__field.wpcf7-not-valid {
    border: 1px solid #FF3E3E;
}

.wpcf7-spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
}

.wpcf7-response-output {
    display: none;
}

.cta__form-grid {
    width: 100%;
}

.cta__form-grid form {
    display: grid;
    align-items: flex-start;
    gap: 10px;
}

.cta__form-grid--4 form {
    grid-template-columns: repeat(4, 1fr);
}

.cta__form-grid--4 form .cta__form-group-full {
    grid-column: unset;
}

.cta__form-grid--3 form {
    grid-template-columns: repeat(3, 1fr);
}

.cta__form-grid--2 form {
    grid-template-columns: repeat(2, 1fr);
}

.subscribe__form form {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

/* Filter Start */

.filter__label .wpc-filter-title {
    margin: 0;
}

#filter .filter__search-input {
    padding: 0 17px 0 49px;
    border: 0;
}

#filter .wpc-filters-main-wrap li.wpc-term-item {
    margin: 0;
}

#filter .filter__checkboxes .wpc-checkbox-item input[type=checkbox] {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

#filter .filter__checkboxes .wpc-checkbox-item label a {
    opacity: 1;
}

#filter .filter__checkboxes .wpc-term-item-content-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    position: relative;
    font-size: 14px;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    transition: .3s;
}

#filter .filter__checkboxes .wpc-term-item-content-wrapper .wpc-filter-link {
    color: var(--grey);
    margin: 0;
    position: relative;
    top: 2px;
}

#filter .filter__checkboxes .wpc-term-item-content-wrapper label {
    position: relative;
    padding-left: 34px;
    line-height: 20px;
    margin: 0;
    opacity: 1;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#filter .filter__checkboxes .wpc-checkbox-item .wpc-term-count {
    width: fit-content;
    position: absolute;
    right: 0;
    top: 2px;
    transition: .3s;
    opacity: .3;
}

#filter .filter__checkboxes .wpc-term-item-content-wrapper label:hover .wpc-filter-link {
    color: var(--white);
}

#filter .filter__checkboxes .wpc-term-item-content-wrapper label:hover .wpc-term-count {
    opacity: 1;
    color: var(--white);
}

#filter .filter__checkboxes .wpc-term-item-content-wrapper label::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 24px;
    height: 24px;
    border-radius: 4px;
    background: var(--midnight-indigo);
    transition: .2s ease-in-out;
}

#filter .filter__checkboxes .wpc-term-item-content-wrapper label::after {
    content: "";
    position: absolute;
    left: 7px;
    top: 50%;
    width: 11px;
    height: 6px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    transform: translateY(-60%) rotate(-45deg);
    opacity: 0;
    transition: opacity .2s ease-in-out;
}

#filter .filter__checkboxes .wpc-checkbox-item input[type=checkbox]:checked ~ label::after {
    opacity: 1;
}

#filter .filter__dropdown {
    display: none ;
}

#filter .filter__group.wpc-filter-has-selected .filter__dropdown {
    display: block;
}

#content .wpc-filters-section {
    margin-bottom: 0;
}

#filter .wpc-filters-widget-wrapper {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

#filter .filter__checkboxes .wpc-term-selected .wpc-filter-link {
    color: var(--white);
}

#filter .filter__checkboxes .wpc-term-selected .wpc-term-count {
    opacity: 1;
    color: var(--white);
}

#filter .wpc-filters-range-inputs .wpc-filters-range-wrapper {
    align-items: center;
    column-gap: 10px;
}

#filter .wpc-filters-range-column {
    position: relative;
}

#filter .wpc-filters-range-min-column {
    max-width: unset;
    margin: 0;
}

#filter .wpc-filters-range-inputs input[type=number] {
    height: 34px;
    color: var(--white);
    width: 100%;
    background-color: var(--midnight-indigo);
    border-radius: 4px;
    padding: 0 10px;
    outline: 0;
    border: 0;
    -moz-appearance: textfield;
}

#filter .wpc-filters-range-inputs input[type=number]::-webkit-inner-spin-button,
#filter .wpc-filters-range-inputs input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0
}

#filter .range__price-currency {
    top: 58%;
}

#filter .wpc-filters-range-inputs .ui-slider-horizontal .ui-slider-range {
    position: relative;
    background-color: var(--blue);
    height: 5px;
    border-radius: 5px;
}

#filter .wpc-filters-range-inputs .ui-slider-horizontal .ui-slider-handle {
    position: absolute;
    width: 21px;
    height: 21px;
    background: #131929;
    border: 6px solid #2c27b1;
    border-radius: 50%;
    cursor: pointer;
    top: -8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, .2);
    transition: transform .2s;
    z-index: 1;
}

#filter .wpc-filters-range-inputs .ui-slider-horizontal {
    position: relative;
    background-color: var(--blue);
    height: 5px;
    border-radius: 5px;
}

#filter .wpc-filters-range-slider-wrapper {
    margin-left: 0;
}

.wpc-edit-filter-set {
    margin-top: 20px;
}

#filter .wpc-filters-reset-button {
    display: none;
}

#filter .wpc-filters-submit-button {
    width: 100%;
    font-size: 14px;
    font-family: "Roboto Flex";
    font-weight: 900;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0 clamp(.75rem, .8810572687vw + .2037444934rem, 1.25rem);
    border-radius: 10px;
    line-height: 1.25rem;
    min-height: 49px;
    padding: 0 14px;
    color: var(--dark);
    background-color: var(--yellow);
    border: 0;
}

#filter .wpc-filters-submit-button:focus-visible,
#filter .wpc-filters-submit-button:hover {
    background-color: #ffd000
}

#filter .wpc-filters-submit-button:active {
    background-color: #e6bd00
}

#filter .wpc-filters-submit-button:disabled,
#filter .wpc-filters-submit-button[aria-disabled=true] {
    background-color: #f3e7a8;
    color: #999
}

#catalog-sort .wpc-filter-header {
    display: none;
}

#catalog-sort .wpc-filters-ul-list {
    margin: 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
}

#catalog-sort .wpc-filters-ul-list li {
    margin: 0;
}

#catalog-sort .wpc-filters-ul-list input[type=radio] {
    display: none;
}

#catalog-sort label {
    font-size: 14px;
    display: flex;
    align-items: center;
    cursor: pointer;
    padding: 6px 10px;
    border-radius: 6px;
    background-color: var(--midnight-indigo);
    transition: background-color .3s;
    color: var(--white);
}

#catalog-sort label a {
    margin: 0;
    position: relative;
    top: 2px;
}

#catalog-sort label:hover {
    color: var(--black);
    background-color: var(--yellow)
}

#catalog-sort label:hover a {
    color: var(--black);
}

#catalog-sort .wpc-filters-ul-list input[type=radio]:checked ~ label {
    color: var(--black);
    background-color: var(--yellow);
    cursor: unset;
}

#catalog-sort .wpc-filters-ul-list input[type=radio]:checked ~ label a {
    color: var(--black);
    pointer-events: none;
}

/* Filter end */

@media (max-width: 992px) {
    .cta__form-grid--4 form {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 767px) {
    .cta__form-grid--4 form {
        grid-template-columns: 1fr;
    }
    .cta__form-grid--3 form {
        grid-template-columns: 1fr;
    }
    .cta__form-grid--2 form {
        grid-template-columns: 1fr;
    }
}